### Method

# Gio FileInfo get_attribute_boolean

#### Declaration

    gboolean
    g_file_info_get_attribute_boolean (
      GFileInfo* info,
      const char* attribute
    )

#### Description

Gets the value of a boolean attribute. If the attribute does not contain a boolean value, `FALSE` will be returned.

#### Parameters

`attribute`

  Type: `const char*`

  A file attribute key.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

The boolean value contained within the attribute.